#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[7] = { 0 };
    char string_eq_const_1_0[4] = { 0 };
    char string_eq_const_2_0[5] = { 0 };
    char string_eq_const_3_0[7] = { 0 };
    char string_eq_const_4_0[6] = { 0 };

    if (size < 24)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_1_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_3_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_4_0, &data[i], 5);
    i += 5;


    if (strcmp(string_eq_const_0_0, "`qj;CO") == 0)
    if (strcmp(string_eq_const_1_0, "|V,") == 0)
    if (strcmp(string_eq_const_2_0, "TVeX") == 0)
    if (strcmp(string_eq_const_3_0, "tC^p*v") == 0)
    if (strcmp(string_eq_const_4_0, "W/~Wj") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
